Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class OWSCapabilities

    java.lang.Object
      org.deegree.ogcbase.BaseURL
          org.deegree.ogcwebservices.wpvs.capabilities.OWSCapabilities

    public class OWSCapabilities

extends BaseURL

This class represents an owsCapabilities object.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Constructor Summary
`OWSCapabilities(String format, String onlineResourceType, URL onlineResource)` Creates a new `OWSCapabilities` object from teh given Elements format, onlineResourceType and onlineResource.
`OWSCapabilities(String format, URL onlineResource)` Creates a new owsCapabilities object from format and onlineResource.

Method Summary
`String` | `getOnlineResourceType()`

Methods inherited from class org.deegree.ogcbase.BaseURL
`getFormat, getOnlineResource, setFormat, setOnlineResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWSCapabilities

    public OWSCapabilities(String format,
                           URL onlineResource)

  Creates a new owsCapabilities object from format and onlineResource. Note: The parameter `format` is empty.

  Parameters:
    `format` -
    `onlineResource` -

### OWSCapabilities

    public OWSCapabilities(String format,
                           String onlineResourceType,
                           URL onlineResource)

  Creates a new `OWSCapabilities` object from teh given Elements format, onlineResourceType and onlineResource. Note: The parameter `format` is empty.

  Parameters:
    `format` -
    `onlineResourceType` -
    `onlineResource` -

Method Detail

### getOnlineResourceType

    public String getOnlineResourceType()

  Returns:
    Returns the onlineResourceType.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org